package com.diagbot.vo;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:52
 */
@ApiModel(value="添加或者编辑标签同义词接口传参")
@Getter
@Setter
public class AddTagRetrievalVO {
	
	/**
     * 标签id
     */
	@ApiModelProperty(value="标签id",required=true)
	@NotNull(message="标签id必传")
    private Long questionId;
	
	/**
	 * 标签名称
	 */
	@ApiModelProperty(value="标签名称")
	private String questionName;
	
	@Valid
	@ApiModelProperty(value="同义词集合",required=true)
	@NotEmpty(message="同义词必传")
	private List<AddTagRetrievalDetailVO> itemList;
	
}
