package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.LibraryDetail;
import com.diagbot.vo.TermVo;

import java.util.List;

/**
 * <p>
 * 提示信息明细 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryDetailMapper extends BaseMapper<LibraryDetail> {
    /**
     * 获取术语知识
     *
     * @param termVo
     * @return LibraryInfo
     */
    public List<LibraryDetail> getLibraryDetail(TermVo termVo);

    /**
     * 清空医学术语知识表
     *
     */
    public void truncateDetail();

    /**
     * 获取所有没有实体关联的静态信息
     *
     * @result List<LibraryDetail>
     *
     */
    public List<LibraryDetail> getLimboItems();
}
