package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.vo.TermVo;

import java.util.List;

/**
 * <p>
 * 提示信息 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoMapper extends BaseMapper<LibraryInfo> {
    /**
     * 获取术语基本信息
     *
     * @param wrapper
     * @return LibraryInfo
     */
    public LibraryInfo getLibraryInfo(QueryWrapper<LibraryInfo> wrapper);

    /**
     * 获取所有没有实体关联的静态信息
     *
     * @result List<LibraryInfo>
     *
     */
    public List<LibraryInfo> getLimboItems();
}
