package com.diagbot.mapper;

import com.diagbot.dto.ConceptDTO;
import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.MedicalDTO;
import com.diagbot.dto.TypeDTO;
import com.diagbot.entity.Medical;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.TypeVo;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
public interface MedicalMapper extends BaseMapper<Medical> {
    /**
     * 获取术语临床医学信息
     *
     * @param libraryDTO
     * @result MedicalDTO
     */
    public List<Medical> getMedicalInfo(LibraryDTO libraryDTO);

    /**
     * 获取实体类型Id
     *
     * @param typeVo
     * @result TypeDTO
     */
    public List<TypeDTO> getTypeId(TypeVo typeVo);

    /**
     * 获取所有没有实体关联的医学信息
     *
     * @result List<Medical>
     *
     */
    public List<Medical> getLimboItems();

    /**
     * 清空医学术语关系表
     *
     */
    public void truncateMedical();


}
