package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.RelationDTO;
import com.diagbot.entity.Relation;
import com.diagbot.vo.TermVo;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-31
 */
public interface RelationMapper extends BaseMapper<Relation> {
    /**
     * 获取术语上级信息
     *
     * @param relationDTO
     * @result List<RelationDTO>
     */
    public List<RelationDTO> getRelation(RelationDTO relationDTO);

    /**
     * 删除所有术语关系信息
     *
     */
    public void truncateRelation();

    /**
     * 获取所有没有实体关联的概念的关系
     *
     * @result List<Relation>
     */
    public List<Relation> getLimboRelation();
}
