package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.LisConfigDTO;
import com.diagbot.entity.TranLisConfig;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.TranLisConfigServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.GsonUtil;
/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年2月13日 下午1:34:31
 */
@Component
public class TranLisConfigFacade extends TranLisConfigServiceImpl{

	/**
	 * 根据医院编码查询公表映射配置
	 *
	 * @param hospitalCode
	 * @return
	 */
	public List<LisConfigDTO> getLisConfigByhospitalIds(String hospitalCode) {

		QueryWrapper<TranLisConfig> lisConfig = new QueryWrapper<>();
	    //System.out.println("hospitalCode==="+hospitalCode);
		lisConfig.eq("is_deleted", IsDeleteEnum.N.getKey()).eq("hospital_code", hospitalCode);
		List<TranLisConfig> data = list(lisConfig);
		List<LisConfigDTO> datas = BeanUtil.listCopyTo(data, LisConfigDTO.class);
		//System.out.println("json=="+GsonUtil.toJson(datas));
		return datas;
	}
}
